Update an item offer
curl --request PATCH \
--url https://api.gameboost.com/v2/item-offers/{itemOffer} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"game_id": 123,
"game": "<string>",
"external_id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"price": 9.99,
"stock": 50,
"min_quantity": 1,
"delivery_instructions": "<string>",
"excluded_delivery_fields": [],
"delivery_time": {
"duration": 24,
"unit": "hours"
},
"image_urls": [
"https://example.com/item1.jpg"
],
"item_data": {
"rarity": "legendary",
"type": "skin"
}
}
'import requests
url = "https://api.gameboost.com/v2/item-offers/{itemOffer}"
payload = {
"game_id": 123,
"game": "<string>",
"external_id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"price": 9.99,
"stock": 50,
"min_quantity": 1,
"delivery_instructions": "<string>",
"excluded_delivery_fields": [],
"delivery_time": {
"duration": 24,
"unit": "hours"
},
"image_urls": ["https://example.com/item1.jpg"],
"item_data": {
"rarity": "legendary",
"type": "skin"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
game_id: 123,
game: '<string>',
external_id: '<string>',
title: '<string>',
slug: '<string>',
description: '<string>',
price: 9.99,
stock: 50,
min_quantity: 1,
delivery_instructions: '<string>',
excluded_delivery_fields: [],
delivery_time: {duration: 24, unit: 'hours'},
image_urls: ['https://example.com/item1.jpg'],
item_data: {rarity: 'legendary', type: 'skin'}
})
};
fetch('https://api.gameboost.com/v2/item-offers/{itemOffer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/item-offers/{itemOffer}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'game_id' => 123,
'game' => '<string>',
'external_id' => '<string>',
'title' => '<string>',
'slug' => '<string>',
'description' => '<string>',
'price' => 9.99,
'stock' => 50,
'min_quantity' => 1,
'delivery_instructions' => '<string>',
'excluded_delivery_fields' => [
],
'delivery_time' => [
'duration' => 24,
'unit' => 'hours'
],
'image_urls' => [
'https://example.com/item1.jpg'
],
'item_data' => [
'rarity' => 'legendary',
'type' => 'skin'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/item-offers/{itemOffer}"
payload := strings.NewReader("{\n \"game_id\": 123,\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"title\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 9.99,\n \"stock\": 50,\n \"min_quantity\": 1,\n \"delivery_instructions\": \"<string>\",\n \"excluded_delivery_fields\": [],\n \"delivery_time\": {\n \"duration\": 24,\n \"unit\": \"hours\"\n },\n \"image_urls\": [\n \"https://example.com/item1.jpg\"\n ],\n \"item_data\": {\n \"rarity\": \"legendary\",\n \"type\": \"skin\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gameboost.com/v2/item-offers/{itemOffer}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"game_id\": 123,\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"title\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 9.99,\n \"stock\": 50,\n \"min_quantity\": 1,\n \"delivery_instructions\": \"<string>\",\n \"excluded_delivery_fields\": [],\n \"delivery_time\": {\n \"duration\": 24,\n \"unit\": \"hours\"\n },\n \"image_urls\": [\n \"https://example.com/item1.jpg\"\n ],\n \"item_data\": {\n \"rarity\": \"legendary\",\n \"type\": \"skin\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/item-offers/{itemOffer}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"game_id\": 123,\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"title\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 9.99,\n \"stock\": 50,\n \"min_quantity\": 1,\n \"delivery_instructions\": \"<string>\",\n \"excluded_delivery_fields\": [],\n \"delivery_time\": {\n \"duration\": 24,\n \"unit\": \"hours\"\n },\n \"image_urls\": [\n \"https://example.com/item1.jpg\"\n ],\n \"item_data\": {\n \"rarity\": \"legendary\",\n \"type\": \"skin\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"parameters": {},
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"delivery_method": "none",
"excluded_delivery_fields": [
"username"
],
"delivery_method_data": {},
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Item Offers
Update an item offer
Update an existing item offer’s details including pricing, stock, description, and images.
PATCH
/
v2
/
item-offers
/
{itemOffer}
Update an item offer
curl --request PATCH \
--url https://api.gameboost.com/v2/item-offers/{itemOffer} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"game_id": 123,
"game": "<string>",
"external_id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"price": 9.99,
"stock": 50,
"min_quantity": 1,
"delivery_instructions": "<string>",
"excluded_delivery_fields": [],
"delivery_time": {
"duration": 24,
"unit": "hours"
},
"image_urls": [
"https://example.com/item1.jpg"
],
"item_data": {
"rarity": "legendary",
"type": "skin"
}
}
'import requests
url = "https://api.gameboost.com/v2/item-offers/{itemOffer}"
payload = {
"game_id": 123,
"game": "<string>",
"external_id": "<string>",
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"price": 9.99,
"stock": 50,
"min_quantity": 1,
"delivery_instructions": "<string>",
"excluded_delivery_fields": [],
"delivery_time": {
"duration": 24,
"unit": "hours"
},
"image_urls": ["https://example.com/item1.jpg"],
"item_data": {
"rarity": "legendary",
"type": "skin"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
game_id: 123,
game: '<string>',
external_id: '<string>',
title: '<string>',
slug: '<string>',
description: '<string>',
price: 9.99,
stock: 50,
min_quantity: 1,
delivery_instructions: '<string>',
excluded_delivery_fields: [],
delivery_time: {duration: 24, unit: 'hours'},
image_urls: ['https://example.com/item1.jpg'],
item_data: {rarity: 'legendary', type: 'skin'}
})
};
fetch('https://api.gameboost.com/v2/item-offers/{itemOffer}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gameboost.com/v2/item-offers/{itemOffer}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'game_id' => 123,
'game' => '<string>',
'external_id' => '<string>',
'title' => '<string>',
'slug' => '<string>',
'description' => '<string>',
'price' => 9.99,
'stock' => 50,
'min_quantity' => 1,
'delivery_instructions' => '<string>',
'excluded_delivery_fields' => [
],
'delivery_time' => [
'duration' => 24,
'unit' => 'hours'
],
'image_urls' => [
'https://example.com/item1.jpg'
],
'item_data' => [
'rarity' => 'legendary',
'type' => 'skin'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gameboost.com/v2/item-offers/{itemOffer}"
payload := strings.NewReader("{\n \"game_id\": 123,\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"title\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 9.99,\n \"stock\": 50,\n \"min_quantity\": 1,\n \"delivery_instructions\": \"<string>\",\n \"excluded_delivery_fields\": [],\n \"delivery_time\": {\n \"duration\": 24,\n \"unit\": \"hours\"\n },\n \"image_urls\": [\n \"https://example.com/item1.jpg\"\n ],\n \"item_data\": {\n \"rarity\": \"legendary\",\n \"type\": \"skin\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.gameboost.com/v2/item-offers/{itemOffer}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"game_id\": 123,\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"title\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 9.99,\n \"stock\": 50,\n \"min_quantity\": 1,\n \"delivery_instructions\": \"<string>\",\n \"excluded_delivery_fields\": [],\n \"delivery_time\": {\n \"duration\": 24,\n \"unit\": \"hours\"\n },\n \"image_urls\": [\n \"https://example.com/item1.jpg\"\n ],\n \"item_data\": {\n \"rarity\": \"legendary\",\n \"type\": \"skin\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gameboost.com/v2/item-offers/{itemOffer}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"game_id\": 123,\n \"game\": \"<string>\",\n \"external_id\": \"<string>\",\n \"title\": \"<string>\",\n \"slug\": \"<string>\",\n \"description\": \"<string>\",\n \"price\": 9.99,\n \"stock\": 50,\n \"min_quantity\": 1,\n \"delivery_instructions\": \"<string>\",\n \"excluded_delivery_fields\": [],\n \"delivery_time\": {\n \"duration\": 24,\n \"unit\": \"hours\"\n },\n \"image_urls\": [\n \"https://example.com/item1.jpg\"\n ],\n \"item_data\": {\n \"rarity\": \"legendary\",\n \"type\": \"skin\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"external_id": "<string>",
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"parameters": {},
"status": "draft",
"delivery_time": {
"duration": 123,
"unit": "minutes",
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"delivery_instructions": "<string>",
"delivery_method": "none",
"excluded_delivery_fields": [
"username"
],
"delivery_method_data": {},
"stock": 123,
"min_quantity": 123,
"price_eur": "<string>",
"price_usd": "<string>",
"views": 123,
"image_urls": [
"<string>"
],
"created_at": 123,
"updated_at": 123,
"listed_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Authorizations
Path Parameters
Body
application/json
Update item offer - all fields are optional, only provide fields you want to update
Specifics available via the template endpoint. Game-specific item attributes such as rarity, type, or category
Example:
{ "rarity": "legendary", "type": "skin" }
Was this page helpful?